From b4c14554aa34634627e0622557ac9fe126276656 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Dec 29 2020 23:44:19 +0000
Subject: [PATCH 1868/2232] Avoid triggering used_underscore_binding on unnamed extern fn args


---

diff --git a/syntax/parse.rs b/syntax/parse.rs
index bb5ac7b..c90125a 100644
--- a/syntax/parse.rs
+++ b/syntax/parse.rs
@@ -501,7 +501,7 @@ fn parse_extern_fn(
                 let ident = match arg.pat.as_ref() {
                     Pat::Ident(pat) => pat.ident.clone(),
                     Pat::Wild(pat) => {
-                        Ident::new(&format!("_{}", args.len()), pat.underscore_token.span)
+                        Ident::new(&format!("arg{}", args.len()), pat.underscore_token.span)
                     }
                     _ => return Err(Error::new_spanned(arg, "unsupported signature")),
                 };
@@ -1070,7 +1070,7 @@ fn parse_type_fn(ty: &TypeBareFn) -> Result<Type> {
             let ty = parse_type(&arg.ty)?;
             let ident = match &arg.name {
                 Some(ident) => ident.0.clone(),
-                None => format_ident!("_{}", i),
+                None => format_ident!("arg{}", i),
             };
             Ok(Var { ident, ty })
         })
diff --git a/tests/ffi/lib.rs b/tests/ffi/lib.rs
index bbce6db..d07ff45 100644
--- a/tests/ffi/lib.rs
+++ b/tests/ffi/lib.rs
@@ -7,8 +7,7 @@
     clippy::ptr_arg,
     clippy::trivially_copy_pass_by_ref,
     clippy::unnecessary_wraps,
-    clippy::unused_self,
-    clippy::used_underscore_binding
+    clippy::unused_self
 )]
 
 pub mod cast;

